> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Trustpilot Reviews Completed Tasks

> The **‘Tasks Ready’** endpoint is designed to provide you with the list of completed tasks, which haven’t been collected yet.



## OpenAPI

````yaml openapi/dataforseo.json GET /dataforseo/business_data/trustpilot/reviews/tasks_ready
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: DataForSEO API endpoints exposed through the AIsa unified gateway.
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/business_data/trustpilot/reviews/tasks_ready:
    get:
      summary: Get Trustpilot Reviews Completed Tasks
      description: >-
        The **‘Tasks Ready’** endpoint is designed to provide you with the list
        of completed tasks, which haven’t been collected yet. If you don’t use
        the `postback_url`, you can receive the list of `id` for all completed
        tasks using this endpoint. Then, you can collect the results using the
        **‘Task GET’** endpoint.
      operationId: get_dataforseo_business_data_trustpilot_reviews_tasks_ready
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: '*the current version of the API*'
                  version.status_code:
                    type: integer
                    description: >-
                      *general status code* you can find the full list of the
                      response codes
                      [here](https://docs.dataforseo.com/v3/appendix/errors.md)
                      **Note:** we strongly recommend designing a necessary
                      system for handling related exceptional or error
                      conditions
                  version.status_message:
                    type: string
                    description: >-
                      *general informational message* you can find the full list
                      of general informational messages
                      [here](https://docs.dataforseo.com/v3/appendix/errors.md)
                  version.time:
                    type: string
                    description: '*execution time, seconds*'
                  version.cost:
                    type: number
                    description: '*total tasks cost, USD*'
                  version.tasks_count:
                    type: integer
                    description: '*the number of tasks in the **`tasks`** array*'
                  version.tasks_error:
                    type: integer
                    description: >-
                      *the number of tasks in the **`tasks`** array returned
                      with an error*
                  tasks:
                    type: array
                    items:
                      type: string
                    description: '*array of tasks*'
                  tasks.id:
                    type: string
                    description: >-
                      *task identifier* **unique task identifier in our system
                      in the
                      [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier)
                      format**
                  tasks.status_code:
                    type: integer
                    description: >-
                      *status code of the task* generated by DataForSEO; can be
                      within the following range: 10000-60000 you can find the
                      full list of the response codes
                      [here](https://docs.dataforseo.com/v3/appendix/errors.md)
                  tasks.status_message:
                    type: string
                    description: >-
                      *informational message of the task* you can find the full
                      list of general informational messages
                      [here](https://docs.dataforseo.com/v3/appendix/errors.md)
                  tasks.time:
                    type: string
                    description: '*execution time, seconds*'
                  tasks.cost:
                    type: number
                    description: '*cost of the task, USD*'
                  tasks.result_count:
                    type: integer
                    description: '*number of elements in the `result` array*'
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: '*URL path*'
                  tasks.data:
                    type: object
                    description: '*contains the parameters passed in the request’s URL*'
                  result:
                    type: array
                    items:
                      type: string
                    description: '*array of results*'
                  result.id:
                    type: string
                    description: >-
                      *task identifier of the completed task* **unique task
                      identifier in our system in the
                      [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier)
                      format**
                  result.se:
                    type: string
                    description: >-
                      *search engine specified when setting the task* can take
                      the following values: `trustpilot`
                  result.se_type:
                    type: string
                    description: '*search engine type*'
                  result.date_posted:
                    type: string
                    description: '*date when the task was posted (in the UTC format)*'
                  result.tag:
                    type: string
                    description: '*user-defined task identifier*'
                  result.endpoint:
                    type: string
                    description: '*URL for collecting the results of the task*'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '429':
          description: Rate limit exceeded
        '500':
          description: Internal server error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````